Download it now!
Bug 135442 - LO crashes when About Libreoffice is clicked
Summary: LO crashes when About Libreoffice is clicked
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.0.0.1 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.1 target:6.4.7
Keywords:
: 133264 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-08-04 14:47 UTC by eladhen2
Modified: 2020-09-03 20:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eladhen2 2020-08-04 14:47:11 UTC
Description:
When Help>About Libreoffice is clicked LO crashes

Steps to Reproduce:
1. click Help>About Libreoffice
2.
3.

Actual Results:
LO crashes

Expected Results:
The About information should be presented.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice 7.0.0.3 8061b3e9204bef6b321a21033174034a5e2ea88e

System:    Host: UX305FA Kernel: 4.4.0-186-generic x86_64 (64 bit gcc: 5.4.0)
           Desktop: Cinnamon 3.6.7 (Gtk 3.18.9-1ubuntu3.3)
           Distro: Linux Mint 18.3 Sylvia
Comment 1 Roman Kuznetsov 2020-08-04 19:36:48 UTC
Do you use LibreOffice from Mint packages (or from PPA) or from libreoffice.org site?
Comment 2 Xisco Faulí 2020-08-05 08:35:00 UTC
Thank you for reporting the bug. To be certain the reported issue is not related to corruption in the user profile, could you please reset your Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and re-test?
Comment 3 eladhen2 2020-08-05 09:39:27 UTC
1. I used the DEB files from libreoffice.org
2. I re-tested after resetting my profile. Same result.
Comment 4 QA Administrators 2020-08-06 04:17:37 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2020-08-06 09:30:40 UTC
Does it crash if you launch Libreoffice from commandline with 'SAL_USE_VCLPLUGIN=gen soffice' ?
Comment 6 Xisco Faulí 2020-08-11 08:29:03 UTC
it seems like a duplicate of bug 133264

*** This bug has been marked as a duplicate of bug 133264 ***
Comment 7 Commit Notification 2020-08-11 20:31:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e603bbceed095b1e94756c1e7dc0078f657cf864

tdf#135442 min supported version of gtk3 is 3.18 not 3.20

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-08-12 08:15:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/001371206649c262b9cc54a3016c40a3a239fa79

tdf#135442 min supported version of gtk3 is 3.18 not 3.20

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Caolán McNamara 2020-08-12 08:42:43 UTC
*** Bug 133264 has been marked as a duplicate of this bug. ***
Comment 10 Heiko Tietze 2020-08-12 08:47:13 UTC
Glade will continue to add this line <requires lib="gtk+" version="3.20"/> and it's easy to overlook the need to manually patch this to 3.18. How about a script running on build time checking the minimum requirements?
Comment 11 Xisco Faulí 2020-08-12 09:19:45 UTC
(In reply to Heiko Tietze from comment #10)
> Glade will continue to add this line <requires lib="gtk+" version="3.20"/>
> and it's easy to overlook the need to manually patch this to 3.18. How about
> a script running on build time checking the minimum requirements?

I think this should work: https://gerrit.libreoffice.org/c/core/+/100588
Comment 12 Commit Notification 2020-08-12 09:37:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/f27fd86d2dc424cee2d28fe77d881eacc4795eaf

tdf#135442 min supported version of gtk3 is 3.18 not 3.20

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 BogdanB 2020-09-03 20:35:04 UTC
It's ok now

Version: 7.1.0.0.alpha0+
Build ID: e2f4e65a7b8024c00b049eebf0d87637efda7f24
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-US (ro_RO.UTF-8); UI: en-US
Calc: threaded